#include "dvbsub.h"

cDvbSubtitlesRecording DvbSubtitlesRecording;

cDvbSubtitlesRecording::cDvbSubtitlesRecording(){ 
  query=0; 
}
void cDvbSubtitlesRecording::Subscribe(iPidQuery* listener){ 
  query = listener ;
}

int cDvbSubtitlesRecording::GetPidByChannel( int DevNr, const cChannel* Channel, int Language )
{ 
  if (query) 
    return query->GetPidByChannel( DevNr, Channel,Language );
  else
    return 0;
}
